---
lang: en
title: 'API docs: openapi-spec-builder.builderbase'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.builderbase.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [BuilderBase](./openapi-spec-builder.builderbase.md)

## BuilderBase class

<b>Signature:</b>

```typescript
export declare class BuilderBase<T extends ISpecificationExtension> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(initialSpec)](./openapi-spec-builder.builderbase._constructor_.md) |  | Constructs a new instance of the <code>BuilderBase</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_spec](./openapi-spec-builder.builderbase._spec.md) |  | <code>T</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [build()](./openapi-spec-builder.builderbase.build.md) |  | Build the spec object. |
|  [withExtension(key, value)](./openapi-spec-builder.builderbase.withextension.md) |  | Add a custom (extension) property to the spec object. |


